Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::IParticleBoxEmitter Class Reference

A particle emitter which emits particles from a box shaped space. More...

`#include <IParticleBoxEmitter.h>`

Inheritance diagram for irr::scene::IParticleBoxEmitter:

List of all members.

## Public Member Functions

virtual const core::aabbox3df & | getBox () const =0
| Get the box shape set.
virtual E_PARTICLE_EMITTER_TYPE | getType () const
| Get emitter type.
virtual void | setBox (const core::aabbox3df &box)=0
| Set the box shape.

## Detailed Description

A particle emitter which emits particles from a box shaped space.

Definition at line 17 of file IParticleBoxEmitter.h.

## Member Function Documentation

virtual const core::aabbox3df& irr::scene::IParticleBoxEmitter::getBox | ( |  | ) | const`[pure virtual]`

Get the box shape set.

virtual E_PARTICLE_EMITTER_TYPE irr::scene::IParticleBoxEmitter::getType | ( |  | ) | const`[inline, virtual]`

Get emitter type.

Reimplemented from irr::scene::IParticleEmitter.

Definition at line 28 of file IParticleBoxEmitter.h.

References irr::scene::EPET_BOX.

virtual void irr::scene::IParticleBoxEmitter::setBox | ( | const core::aabbox3df & | box | ) | `[pure virtual]`

Set the box shape.

The documentation for this class was generated from the following file:

- IParticleBoxEmitter.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:07 2010 by Doxygen (1.6.2)